List an Organization's Releases
GET /api/0/organizations/{organization_id_or_slug}/releases/
Return a list of releases for a given organization, sorted by most recent.
Path Parameters
organization_id_or_slug(string)REQUIREDThe ID or slug of the organization the resource belongs to.
Query Parameters:
project(array(undefined))The IDs or slugs of projects to filter by. Project slugs are unique within each organization. Omit this parameter to include all accessible projects.
-1is also accepted to include all accessible projects. For example, the following are valid parameters:/?project=1234&project=56789/?project=android&project=javascript-react/?project=-1
environment(array(string))The name of environments to filter by.
query(string)Case-insensitive substring match against the release version.
per_page(integer)Limit the number of rows to return in the result. Default and maximum allowed is 100.
cursor(string)A pointer to the last object fetched and its sort order; used to retrieve the next or previous results.
Scopes
You need to authenticate via bearer auth token.
<auth_token> requires one of the following scopes:org:ciproject:adminproject:readproject:releasesproject:write
Copied
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/releases/ \ -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied[ { "id": 1, "version": "frontend@1.0.0", "shortVersion": "frontend@1.0.0", "status": "open", "versionInfo": { "package": "frontend", "version": { "raw": "1.0.0", "major": 1, "minor": 0, "patch": 0, "pre": null, "buildCode": null, "components": 3 }, "description": "1.0.0", "buildHash": null }, "ref": null, "url": null, "dateReleased": null, "dateCreated": "2024-01-01T00:00:00Z", "data": {}, "newGroups": 0, "owner": null, "commitCount": 0, "lastCommit": null, "deployCount": 0, "lastDeploy": null, "authors": [], "projects": [ { "id": 1, "slug": "sentry", "name": "sentry", "newGroups": 0, "platform": "javascript", "platforms": [ "javascript" ], "hasHealthData": false } ], "firstEvent": null, "lastEvent": null, "currentProjectMeta": {}, "userAgent": null } ]
Was this helpful?